--- title: "Get assignment target list" slug: "get-assignment-targets" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/get-assignment-targets" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get assignment target list Available in Classic and VPC Get the list of targets (SSO users, groups) added to an assignment. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/assignments/{assignmentId}/targets | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `assignmentId` | String | Required | Assignment ID - See [Get assignment list](/docs/en/get-assignments). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `targetType` | String | Required | Target type - `user` \| `group` - `user`: SSO user - `group`: Group | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-N (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/assignments/2c15b16c-****-****-****-3e7207ff2bf6/targets?targetType=group&page=0&size=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Number | - | Page number | | `totalPages` | Number | - | Total number of pages | | `totalItems` | Number | - | Number of response results | | `isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: First page - `false`: Not a first page | | `isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: Last page - `false`: Not a last page | | `hasPrevious` | Boolean | - | Whether previous page exists - `true` \| `false` - `true`: It exists. - `false`: It doesn't exist. | | `hasNext` | Boolean | - | Whether next page exists - `true` \| `false` - `true`: It exists. - `false`: It doesn't exist. | | `items` | Array | - | Target list - SSO user list (if `targetType`is `user`): [items](/docs/en/get-assignment-targets#items1) - Group list (if `targetType` is `group`): [items](/docs/en/get-assignment-targets#items2) | #### `items` The following describes `items` if the target type is SSO user. | Field | Type | Required | Description | | --- | --- | --- | --- | | `userId` | String | - | SSO user ID | | `loginId` | String | - | SSO user login ID | | `nrn` | String | - | NAVER Cloud Platform resource identification value for SSO user | | `userProfile` | Object | - | SSO user profile information | | `userProfile.firstName` | String | - | SSO user name | | `userProfile.lastName` | String | - | SSO user last name | | `userProfile.email` | String | - | SSO user email address | | `userProfile.emailVerified` | Boolean | - | Email address verification status - `true` \| `false` - `true`: Verification completed - `false`: Verification required | | `userProfile.empNo` | String | - | SSO user employee number | | `userProfile.phoneCountryCode` | String | - | SSO user country number | | `userProfile.phoneNo` | String | - | SSO user mobile phone number | | `userProfile.phoneNoVerified` | Boolean | - | Mobile phone number verification status - `true` \| `false` - `true`: Verification completed - `false`: Verification required | | `userProfile.deptName` | String | - | SSO user department name | | `accessRules` | Object | - | Access rule information | | `accessRules.consoleAccessAllowed` | Boolean | - | Whether to allow console access - `true` \| `false` - `true`: Allow - `false`: Not allow | | `accessRules.apiAccessAllowed` | Boolean | - | Whether to allow API Gateway access - `true` \| `false` - `true`: Allow - `false`: Not allow | | `status` | String | - | SSO user status - `active` \| `suspended` - `active`: In use (enabled) - `suspended`: Suspended (disabled) | | `lastLoginAt` | String | - | SSO user last access date and time - ISO 8601 format | | `createdAt` | String | - | SSO user creation date and time - ISO 8601 format | | `updatedAt` | String | - | SSO user modification date and time - ISO 8601 format | | `description` | String | - | SSO user description | #### `items` The following describes `items` if the target type is group. | Field | Type | Required | Description | | --- | --- | --- | --- | | `relationCreatedAt` | String | - | Group addition date and time - ISO 8601 format | | `groupId` | String | - | Group ID | | `tenantId` | String | - | Tenant ID | | `nrn` | String | - | NAVER Cloud Platform resource identification value for group | | `groupName` | String | - | Group name | | `description` | String | - | Group description | | `createdAt` | String | - | Group creation date and time - ISO 8601 format | | `updatedAt` | String | - | Group modification date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: #### If target type is SSO user The following is a sample response if the target type is SSO user. ``` { "page": 0, "totalPages": 1, "totalItems": 1, "isFirst": true, "isLast": true, "hasPrevious": false, "hasNext": false, "items": [ { "userId": "a5968927-****-****-****-28592d5ba924", "loginId": "*******@ncloud.com", "nrn": "nrn:PUB:SSO::*******:User/a5968927-****-****-****-28592d5ba924", "userProfile": { "firstName": "Gildong", "lastName": "Hong", "email": "*******@ncloud.com", "emailVerified": true, "empNo": "00112233", "phoneCountryCode": "82", "phoneNo": "010-0000-0000", "phoneNoVerified": true, "deptName": "Department" }, "accessRules": { "consoleAccessAllowed": true, "apiAccessAllowed": true }, "status": "active", "lastLoginAt": "2025-01-15T05:56:20Z", "createdAt": "2025-01-14T06:42:21Z", "updatedAt": "2025-01-15T05:56:20Z", "description": "description" } ] } ``` #### If target type is group The following is a sample response if the target type is group. ``` { "page": 0, "totalPages": 1, "totalItems": 1, "isFirst": true, "isLast": true, "hasPrevious": false, "hasNext": false, "items": [ { "relationCreatedAt": "2025-01-14T02:09:39Z", "groupId": "12cfbd94-****-****-****-2ff725201395", "tenantId": "d71d79e8-****-****-****-281f2a1d5d45", "nrn": "nrn:PUB:SSO::*******:Group/12cfbd94-****-****-****-2ff725201395", "groupName": "group000", "description": "group description", "createdAt": "2025-01-13T02:04:15Z", "updatedAt": "2025-01-14T00:50:49Z" } ] } ```